Bug 1123475 - Cannot retrieve clients from non-participating server
Summary: Cannot retrieve clients from non-participating server
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 19:15 UTC by Joe Julian
Modified: 2015-10-07 14:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 14:00:17 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Joe Julian 2014-07-25 19:15:18 UTC
Description of problem:
Attempting to retrieve the client list from a server that is not part of the volume fails.

Version-Release number of selected component (if applicable):
3.4.4-2

How reproducible:
Always

Steps to Reproduce:
1. create a volume gv-nova with bricks on server{2,3,4,5}
2. From server1: gluster volume status gv-nova clients

Actual results:
Unable to obtain volume status information.

The log shows
[2014-07-25 19:06:37.264428] I [glusterd-handler.c:3260:__glusterd_handle_status_volume] 0-management: Received status volume req for volume gv-nova
[2014-07-25 19:06:37.266084] E [glusterd-op-sm.c:973:glusterd_op_stage_status_volume] 0-management: No brick ? in volume gv-nova
[2014-07-25 19:06:37.266139] E [glusterd-syncop.c:767:gd_stage_op_phase] 0-management: Staging of operation 'Volume Status' failed on localhost : No brick ? in volume gv-nova

Expected results:
I expect to be able to get the same results from any cli in the peer group.

Comment 1 Niels de Vos 2015-05-17 21:59:13 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 2 Kaleb KEITHLEY 2015-10-07 14:00:17 UTC
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.